// composables/useNavLinks.ts
import type { NavigationMenuItem } from "@nuxt/ui";

export const useNavLinks = () => {
  const { t } = useI18n();

  const navLinks = computed<NavigationMenuItem[]>(() => [
    {
      label: t("common.header.services.label"),
      icon: "mdi:briefcase-outline",
      children: [
        {
          label: t("common.header.services.children.webDev.label"),
          description: t("common.header.services.children.webDev.description"),
          icon: "mdi:web",
          to: "/webDev"
        },
        {
          label: t("common.header.services.children.softwareDev.label"),
          description: t(
            "common.header.services.children.softwareDev.description"
          ),
          icon: "mdi:tools",
        },
        {
          label: t("common.header.services.children.eventVisual.label"),
          description: t(
            "common.header.services.children.eventVisual.description"
          ),
          icon: "mdi:monitor-dashboard",
        },
        {
          label: t("common.header.services.children.lab.label"),
          description: t("common.header.services.children.lab.description"),
          icon: "mdi:test-tube-off",
        },
      ],
    },
    {
      label: t("common.header.projects.label"),
      icon: "mdi:lightbulb-group-outline",
      children: [
        {
          label: t("common.header.projects.children.commercialWebsite.label"),
          description: t(
            "common.header.projects.children.commercialWebsite.description"
          ),
          icon: "mdi:web",
        },
        {
          label: t("common.header.projects.children.gameDev.label"),
          description: t("common.header.projects.children.gameDev.description"),
          icon: "mdi:gamepad-variant-outline",
        },
        {
          label: t("common.header.projects.children.tools.label"),
          description: t("common.header.projects.children.tools.description"),
          icon: "mdi:tools",
        },
        {
          label: t("common.header.projects.children.special.label"),
          description: t("common.header.projects.children.special.description"),
          icon: "mdi:star",
        },
      ],
    },
    {
      label: t("common.header.insights.label"),
      icon: "mdi:brain",
      children: [
        {
          label: t("common.header.insights.children.xiaomaiBlog.label"),
          description: t(
            "common.header.insights.children.xiaomaiBlog.description"
          ),
          icon: "mdi:pencil-outline",
          to: "https://xiaomai.tootaio.com/",
          type: "link",
          target: "_blank",
        },
      ],
    },
  ]);

  return navLinks;
};
